-- Triangles Shader
local pri = require 'primitives'
local gr = love.graphics

function love.load()
	w,h=800,600
	screen={w,h}
	love.window.setMode(w,h)
	love.window.setTitle( 'Drawing Primitives' )
	gt = 0
	pri:send( 'screen', screen )
	-- draws horizontal line (white)
	l1,l2,lw = {-.75,.8},{.75,.8},0.015
	pri:send('l1',l1)
	pri:send('l2',l2)
	pri:send('lw',lw)
	end

function love.update( dt )
	gt = gt +  dt
	pri:send( 'time', gt )
	end

function love.draw()
	gr.setShader( pri )
	gr.setColor(255,255,255)
		gr.rectangle('fill',0,0,w,h)
		gr.setShader()
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	end

